Skip to main content
GET
List all Payouts

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPAY.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Query Parameters

page_number
integer
required

The page number to retrieve. Page numbering starts at 1.

Required range: x >= 1
Example:

1

page_size
integer
required

The maximum number of items to return per page. This number can be between 1 - 100

Required range: 1 <= x <= 100
Example:

10

start_time
string

Payout creation start date (inclusive). Date format YYYY-MM-DD represents the start of the day (00:00:00).

Example:

"2025-07-01"

end_time
string

Payout creation end date (inclusive). Date format YYYY-MM-DD represents the end of the day (23:59:59).

Example:

"2025-07-31"

payout_status
enum<string>

Payout status filter Payout status enumeration.

  • INITIATED: Payout has been initiated.
  • PROCESSING: Payout is being processed (bank is processing).
  • COMPLETED: Payout completed successfully.
  • FAILED: Payout failed.
  • FAILED_REFUNDED: Payout failed and funds have been refunded.
Available options:
INITIATED,
PROCESSING,
COMPLETED,
FAILED,
FAILED_REFUNDED
Example:

"INITIATED"

Response

200 - application/json

List of payouts retrieved successfully

total_pages
integer
required

The total pages of available items.

Example:

10

total_items
integer
required

The total counts of available items.

Example:

105

data
object[]
required

List of payout records.